VERSION 5.00
Object = "{55082E0F-BAFB-42B1-A246-527BEBDF8B1B}#1.3#0"; "auComCtl.ocx"
Begin VB.Form frmSettings 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Settings - Movie Information Manager"
   ClientHeight    =   4335
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4695
   Icon            =   "settings.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4335
   ScaleWidth      =   4695
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdErase 
      Caption         =   "Erase"
      Height          =   375
      Left            =   120
      TabIndex        =   25
      ToolTipText     =   "Erases all registry settings for this program and then exits"
      Top             =   3840
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3480
      TabIndex        =   24
      ToolTipText     =   "Ignore changes to settings"
      Top             =   3840
      Width           =   1095
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   2160
      TabIndex        =   23
      ToolTipText     =   "Apply changes to settings"
      Top             =   3840
      Width           =   1095
   End
   Begin VB.Frame fraMisc 
      Caption         =   "Miscellaneous "
      Height          =   1155
      Left            =   120
      TabIndex        =   17
      Top             =   2580
      Width           =   4455
      Begin VB.ComboBox cmbRpt 
         Appearance      =   0  'Flat
         Height          =   315
         ItemData        =   "settings.frx":0442
         Left            =   3120
         List            =   "settings.frx":044F
         Style           =   2  'Dropdown List
         TabIndex        =   20
         Top             =   270
         Width           =   1095
      End
      Begin VB.CheckBox chkAutoSave 
         Appearance      =   0  'Flat
         Caption         =   "&Auto-save movies"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   240
         TabIndex        =   18
         ToolTipText     =   "Check to save changes made to a movie without asking"
         Top             =   270
         Width           =   1695
      End
      Begin auComCtl.FileNameBox fnbDataFile 
         Height          =   285
         Left            =   1620
         TabIndex        =   22
         Top             =   720
         Width           =   2595
         _ExtentX        =   4577
         _ExtentY        =   503
         AutoValidate    =   -1  'True
         DefaultExt      =   ".mim"
         Filter          =   "Movie Database (*.mim)|*.mim"
         DialogTitle     =   "Select Default Database"
         Appearance      =   0
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   -2147483640
      End
      Begin VB.Label lblDataFile 
         Caption         =   "Default Database:"
         Height          =   255
         Left            =   240
         TabIndex        =   21
         ToolTipText     =   "Enter a filename (without extension) here and it will automatically open when the program is started"
         Top             =   750
         Width           =   1335
      End
      Begin VB.Label lblRpt 
         Caption         =   "Default &Report:"
         Height          =   255
         Left            =   1950
         TabIndex        =   19
         Top             =   300
         Width           =   1095
      End
   End
   Begin VB.Frame fraPaths 
      Caption         =   "Default Paths "
      Height          =   1095
      Left            =   120
      TabIndex        =   0
      Top             =   60
      Width           =   4455
      Begin auComCtl.FileNameBox fnbDataPath 
         Height          =   285
         Left            =   1080
         TabIndex        =   2
         Top             =   300
         Width           =   3135
         _ExtentX        =   5530
         _ExtentY        =   503
         AutoValidate    =   -1  'True
         SelType         =   1
         DefaultExt      =   "database.mim"
         Filter          =   "Movie Database (*.mim)|*.mim"
         DialogTitle     =   "Select Default Database Path"
         Appearance      =   0
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   -2147483640
      End
      Begin auComCtl.FileNameBox fnbHTMLPath 
         Height          =   285
         Left            =   1080
         TabIndex        =   4
         Top             =   660
         Width           =   3135
         _ExtentX        =   5530
         _ExtentY        =   503
         AutoValidate    =   -1  'True
         SelType         =   1
         StripBasePath   =   0   'False
         DefaultExt      =   "report.html"
         Filter          =   "Hypertext Markup (*.html)|*.html"
         DialogTitle     =   "Select Default Hypertext (HTML) Path"
         Appearance      =   0
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   -2147483640
      End
      Begin VB.Label lblHTMLPath 
         Caption         =   "&HTML:"
         Height          =   255
         Left            =   240
         TabIndex        =   3
         ToolTipText     =   "The default path for hypertext (HTML) files"
         Top             =   690
         Width           =   855
      End
      Begin VB.Label lblDataPath 
         Caption         =   "&Database:"
         Height          =   255
         Left            =   240
         TabIndex        =   1
         ToolTipText     =   "The default path for database files"
         Top             =   330
         Width           =   855
      End
   End
   Begin VB.Frame fraHTMLCols 
      Caption         =   "HTML &Columns "
      Height          =   1335
      Left            =   120
      TabIndex        =   5
      ToolTipText     =   "Select which colums should display when HTML files are output"
      Top             =   1200
      Width           =   4455
      Begin VB.CheckBox chkDiscs 
         Appearance      =   0  'Flat
         Caption         =   "Discs"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   240
         TabIndex        =   6
         Tag             =   "1"
         Top             =   240
         Width           =   1095
      End
      Begin VB.CheckBox chkABR 
         Appearance      =   0  'Flat
         Caption         =   "ABR"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   3120
         TabIndex        =   16
         Tag             =   "1024"
         Top             =   960
         Width           =   1095
      End
      Begin VB.CheckBox chkAudioCodec 
         Appearance      =   0  'Flat
         Caption         =   "Audio"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   3120
         TabIndex        =   15
         Tag             =   "512"
         Top             =   720
         Width           =   1095
      End
      Begin VB.CheckBox chkVBR 
         Appearance      =   0  'Flat
         Caption         =   "VBR"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   3120
         TabIndex        =   14
         Tag             =   "256"
         Top             =   480
         Width           =   1095
      End
      Begin VB.CheckBox chkVideoCodec 
         Appearance      =   0  'Flat
         Caption         =   "Video"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   3120
         TabIndex        =   13
         Tag             =   "128"
         Top             =   240
         Width           =   1095
      End
      Begin VB.CheckBox chkHD 
         Appearance      =   0  'Flat
         Caption         =   "HD"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   1680
         TabIndex        =   12
         Tag             =   "64"
         Top             =   840
         Width           =   1095
      End
      Begin VB.CheckBox chkCD 
         Appearance      =   0  'Flat
         Caption         =   "CD"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   1680
         TabIndex        =   11
         Tag             =   "32"
         Top             =   600
         Width           =   1095
      End
      Begin VB.CheckBox chkYear 
         Appearance      =   0  'Flat
         Caption         =   "Year"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   1680
         TabIndex        =   10
         Tag             =   "16"
         Top             =   360
         Width           =   1095
      End
      Begin VB.CheckBox chkRes 
         Appearance      =   0  'Flat
         Caption         =   "Resolution"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   240
         TabIndex        =   9
         Tag             =   "8"
         Top             =   960
         Width           =   1095
      End
      Begin VB.CheckBox chkTime 
         Appearance      =   0  'Flat
         Caption         =   "Time"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   240
         TabIndex        =   8
         Tag             =   "4"
         Top             =   720
         Width           =   1095
      End
      Begin VB.CheckBox chkSize 
         Appearance      =   0  'Flat
         Caption         =   "Size"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   240
         TabIndex        =   7
         Tag             =   "2"
         Top             =   480
         Width           =   1095
      End
   End
End
Attribute VB_Name = "frmSettings"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
  Unload Me
End Sub

Private Sub cmdErase_Click()
  If MsgBox("This will erase all registry settings and close the program!" & vbCrLf & vbCrLf & "Registry settings contain information about window sizes, column widths, and other things.", vbOKCancel, "Danger Will Robinson!") = vbCancel Then Exit Sub
  DeleteSetting LoadResString(PROGNAME)
  End
End Sub

Private Sub cmdOK_Click()
  Dim c As Long
  If fnbDataPath.PathExists Then
    datapath = fnbDataPath.FileName
    SaveSetting LoadResString(PROGNAME), "FilePaths", "Database", datapath
  Else
    MsgBox "The database path you have entered does not exist.", vbInformation, "Oh no!"
    fnbDataPath.SetFocus
    Exit Sub
  End If
  If fnbHTMLPath.PathExists Then
    htmlpath = fnbHTMLPath.FileName
    SaveSetting LoadResString(PROGNAME), "FilePaths", "Hypertext", htmlpath
  Else
    MsgBox "The HTML path you have entered does not exist.", vbInformation, "Oh no!"
    fnbHTMLPath.SetFocus
    Exit Sub
  End If
  If Len(fnbDataFile.Text) = 0 Or fnbDataFile.FileExists Then
    SaveSetting LoadResString(PROGNAME), "MiscSettings", "DefaultDataBase", fnbDataFile.Text
  Else
    MsgBox "The default database you have entered does not exist.", vbInformation, "Oh no!"
    fnbDataFile.SetFocus
    Exit Sub
  End If
  c = 0
  If chkDiscs.Value = vbChecked Then c = c + mvcDiscs
  If chkSize.Value = vbChecked Then c = c + mvcSize
  If chkTime.Value = vbChecked Then c = c + mvcTime
  If chkRes.Value = vbChecked Then c = c + mvcResolution
  If chkYear.Value = vbChecked Then c = c + mvcYear
  If chkCD.Value = vbChecked Then c = c + mvcCD
  If chkHD.Value = vbChecked Then c = c + mvcHD
  If chkVideoCodec.Value = vbChecked Then c = c + mvcVideoCodec
  If chkVBR.Value = vbChecked Then c = c + mvcVBR
  If chkAudioCodec.Value = vbChecked Then c = c + mvcAudioCodec
  If chkABR.Value = vbChecked Then c = c + mvcABR
  SaveSetting LoadResString(PROGNAME), "MiscSettings", "ReportCols", c
  If chkAutoSave.Value = vbChecked Then
    SaveSetting LoadResString(PROGNAME), "MiscSettings", "AutoSave", True
    frmMain.pnlSingle.AutoSave = True
  Else
    SaveSetting LoadResString(PROGNAME), "MiscSettings", "AutoSave", False
    frmMain.pnlSingle.AutoSave = False
  End If
  SaveSetting LoadResString(PROGNAME), "MiscSettings", "DefaultReport", cmbRpt.Text
  Unload Me
End Sub

Private Sub fnbDataPath_Change()
  fnbDataFile.BasePath = fnbDataPath.Text
End Sub

Private Sub Form_Load()
  Set fnbDataPath.CommonDialogCTL = frmMain.comDlg
  Set fnbHTMLPath.CommonDialogCTL = frmMain.comDlg
  Set fnbDataFile.CommonDialogCTL = frmMain.comDlg
  Dim c As Long
  fnbDataPath.Text = datapath
  fnbHTMLPath.Text = htmlpath
  fnbDataFile.Text = GetSetting(LoadResString(PROGNAME), "MiscSettings", "DefaultDatabase", "")
  c = GetSetting(LoadResString(PROGNAME), "MiscSettings", "ReportCols", LoadResString(DEFAULTCOLS))
  If (c And mvcDiscs) = mvcDiscs Then chkDiscs.Value = vbChecked
  If (c And mvcSize) = mvcSize Then chkSize.Value = vbChecked
  If (c And mvcTime) = mvcTime Then chkTime.Value = vbChecked
  If (c And mvcResolution) = mvcResolution Then chkRes.Value = vbChecked
  If (c And mvcYear) = mvcYear Then chkYear.Value = vbChecked
  If (c And mvcCD) = mvcCD Then chkCD.Value = vbChecked
  If (c And mvcHD) = mvcHD Then chkHD.Value = vbChecked
  If (c And mvcVideoCodec) = mvcVideoCodec Then chkVideoCodec = vbChecked
  If (c And mvcVBR) = mvcVBR Then chkVBR = vbChecked
  If (c And mvcAudioCodec) = mvcAudioCodec Then chkAudioCodec = vbChecked
  If (c And mvcABR) = mvcABR Then chkABR = vbChecked
  If frmMain.pnlSingle.AutoSave Then chkAutoSave.Value = vbChecked
  Select Case GetSetting(LoadResString(PROGNAME), "MiscSettings", "DefaultReport", "Burn")
    Case "Compress"
      cmbRpt.ListIndex = 0
    Case "Burn"
      cmbRpt.ListIndex = 1
    Case "Online"
      cmbRpt.ListIndex = 2
  End Select
End Sub
